"use strict";
const common_vendor = require("../../../common/vendor.js");
const common_libraries_day = require("../../../common/libraries/day.js");
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "daySelect",
  props: ["day"],
  emits: ["update:valueModel"],
  setup(__props, { emit }) {
    const props = __props;
    const handleSelect = (day) => {
      emit("update:valueModel", day);
    };
    const listDay = common_vendor.ref([
      {
        label: "今天",
        value: common_libraries_day.getDay()
      },
      {
        label: "昨天",
        value: common_libraries_day.getDay(1)
      },
      {
        label: "前天",
        value: common_libraries_day.getDay(2)
      }
    ]);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(listDay.value, (i, index, i0) => {
          return {
            a: common_vendor.t(i == null ? void 0 : i.label),
            b: index,
            c: common_vendor.n(`day_items ${(i == null ? void 0 : i.value) === props.day ? "active" : ""}`),
            d: common_vendor.o(($event) => handleSelect(i == null ? void 0 : i.value), index)
          };
        })
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-b04b217e"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/pages/index/components/daySelect.vue"]]);
wx.createComponent(Component);
